function restartGame(){
	//funknsjon for starter spillet playgame ligger nederst
	document.getElementById("replay").style.display = "none";//manglet semikolon og skuler knappen når den er trykket
	document.getElementById("history").style.display = "block";//stats score
	
	/*jshint esversion: 6 *///la til for versjons kontroll
        //Sett opp Canvas:
		
        const canvas = document.getElementById("gamearea");//manglet semikolon
		
        canvas.width = 960; //64px ikoner * 15 ruter //gjort om bredden til 960
        canvas.height = 640; //64px ikoner * 10 ruter//gjort om høyden til 640
        const ctx = canvas.getContext("2d");

        //Gjør klar spillinformasjon
		let stats = 0;
        let countdown = 5;//manglet semikolon gjort om tiden til 60 sekunder og ikke 10
        let iconsize = 64;//manglet semikolon
        let gameOver = false;//manglet semikolon
        const player = { speed: 2 };//kan ikke endres til 250 på grunn av mattestykket som blir utført. playermovement(1) frames ganger 2 i hver retning
        const enemy = { };//manglet semikolon
        let aliensCaught = 0;//gjorde om til 0 fordi hvorfor starte på 10
       // document.querySelector("#history").classList.toggle("hide", !history.length);
        let history = [];//manglet semikolon
        
		// unædvendig kode fordi history er ett tomt array
        history.length < 1 ? document.getElementById("history").style.display = "none": document.getElementById("history").style.display = "block"//manglet semikolon
//
        //Gjør klar bakgrunnsbilde for spiller
        let playerLoaded = false;
        const playerImage = new Image();
        playerImage.onload = () => { playerLoaded = true; };
        playerImage.src = "img/spaceship.png";

        //Gjør klar bakgrunnsbilde for alien
        let enemyLoaded = false;
        const enemyImage = new Image();
        enemyImage.onload = () => { enemyLoaded = true; };//manglet semikolon
        enemyImage.src = "img/alien.png";//manglet semikolon



        //Lag en funksjon som kjører i gang spillelementene
        //Plasser spilleren i midten av brettet, og fienden et vilkårlig sted innenfor spillbrettet
        function drawCharacter1() {
		   
            enemy.x = (iconsize / 2) + (Math.random() * (canvas.width - iconsize));
            enemy.y = (iconsize / 2) + (Math.random() * (canvas.height - iconsize));
        }
		function drawCharacter2() {
		   player.x = canvas.width / 2;
            player.y = canvas.height / 2;
          
        }
        /************************************************************** 
         OPPGAVE 2 - KOMMENTAR 1
         Forklar hva de fire linjene i funksjonen drawCharacters() gjør
         - din kommentar her -
		 svar:
		 spillet finner tilfeldig koordinater basert på høyde og bredde i canvaset og legger inn enemey mens spillerer settes i midten eller halvparten av høde og brødden 
        ***************************************************************/

        //Sjekk om spilleren har trykket ned (og holder) en tast:
        document.addEventListener('keydown', buttonPressed);
        document.addEventListener('keyup', buttonReleased);
		
        //Gjør klar variabler for å bestemme hvilken retning som er aktiv:
        let left = false;//manglet semikolon
        let right = false;//manglet semikolon
        let up = false;//manglet semikolon
        let down = false;//manglet semikolon
        //Set retningsvariabel til true hvis riktig piltast er trykket:
		
        function buttonPressed(event) {
		
            if(event.key === "ArrowLeft") { left = true; } 
            if(event.key === "ArrowRight") { right = true; } 
            if(event.key === "ArrowUp") { up = true; }
            if(event.key === "ArrowDown") { down = true; } 
        }
        //Sett retningsvariabel til false hvis piltasten blir sluppet opp:
        function buttonReleased(event) {
            if(event.key === "ArrowLeft") { left = false; } 
            if(event.key === "ArrowRight") { right = false; } 
            if(event.key === "ArrowUp") { up = false; } 
            if(event.key === "ArrowDown") { down = false; } 
        }
        /************************************************************** 
         OPPGAVE 2 - KOMMENTAR 2
         Forklar hvorfor vi trenger å sjekke både når en knapp er trykket ned,
         og når den er sluppet opp igjen. 
         - din kommentar her -
		 
		 Svar: fordi når en knapp er trykket ned blir satt til boolean true og vil fortsette til den blir false hvis ikke dette gjøres vil den fortsette å gå retningen du trykket 
		 
        ***************************************************************/
        
        //Funksjon som modifiserer spillerens posisjon på spillbrettet:
        function playerMovement(speedModifier) {
            //Flytt player i riktig retning
			//flytter spilleren 2 * 1 som går i render game 
            
            left ? player.x -= player.speed * (speedModifier) : null;
            right ? player.x += player.speed * (speedModifier) : null;
            up ? player.y -= player.speed * (speedModifier) : null;
            down ? player.y += player.speed * (speedModifier) : null;

            //Sjekk om player treffer fienden
            if(
                player.x <= (enemy.x + (iconsize / 2)) &&
                player.y <= (enemy.y + (iconsize / 2)) &&
                enemy.x <= (player.x + (iconsize / 2)) &&
                enemy.y <= (player.y + (iconsize / 2))
            ) {
                aliensCaught++;
                drawCharacter1();
				
            }
        }
 //Kjør funksjonen for nedtelling hver sekund (1000. milisekund)    
		var countdownInterval = setInterval( countdownFunction, 1000 );//lager en variabel for countdownfunction til å stoppe funksjonen nedentil

        //Lag funksjon for nedtelling
        function countdownFunction() {
            countdown--;
            if(countdown <= 0) {
                clearInterval(countdownInterval);
                gameOver = true;
                countdown = 0;
                playerLoaded = false;
				
                enemyLoaded = false;
				
				
				 console.log('#someButton was clicked')
				 
  document.getElementById("replay").style.display = "block";//manglet semikolon, viser replay knappen når countdown funksjonen er over

				
				
            } 
        }
        /************************************************************** 
         OPPGAVE 2 - KOMMENTAR 3
         Forklar hva linjene i funksjonen countDownFunction() gjør
         - din kommentar her -
		 
		 Svar:Den fjerner ett sekund fra telleren og hvis tellerern er på 0 setter den gameover til true og hindrer player og enemy sprites til å bli sett
        ***************************************************************/

       

        //Funksjon som tegner/fyller ut alle spill-elementene i canvas:
        function drawGameElements() {
            ctx.clearRect(0, 0, canvas.width, canvas.height);
			
			
			
			
			
            playerLoaded ? ctx.drawImage(playerImage, player.x, player.y) : null;
            enemyLoaded ? ctx.drawImage(enemyImage, enemy.x, enemy.y) : null;
			
            gameOver ? ctx.fillText("GAME OVER!", 150, 150) : null;//synes dette er sentrert bra nok jeg
			
			ctx.font = "60px Space Mono";//gjør om fonten
			ctx.fillStyle = 'red';//gjør teksten til rød
            document.getElementById("time").innerHTML = countdown;
			
            document.getElementById("points").innerHTML = aliensCaught;
        }

        //Funksjon som kjører spillet
        

        // Cross-browser support for requestAnimationFrame (https://developer.mozilla.org/en-US/docs/Web/API/window/requestAnimationFrame)
       window.requestAnimationFrame( drawGameElements );
        //Funksjon for start/restart spill
		
		function renderGame() {//skrevet function feil
            playerMovement(1);
            drawGameElements();
            requestAnimationFrame(renderGame);
        }
		
        function playGame() {
            //Startverdier
           let countdown = 5;//brukes ikke
            let gameOver = false;//brukes ikke
            playerLoaded = false;
            enemyLoaded = false;
            //Tegne spill-elementer ved oppstart
            drawCharacter1();
			drawCharacter2();
            renderGame();
			 
        }
         
		 
		 
        //Kjør hele spillet med playGame-funksjonen
        
		playGame();//koden ligger nå i function restartGame øverst
		
		}